if (APPLE)
  include (platform/apple)
  if ("${CMAKE_GENERATOR}" MATCHES "Xcode")
    include (platform/xcode)
  endif ()
elseif (CMAKE_SYSTEM MATCHES Linux)
  include (platform/linux)
else ()
  include (platform/common)
endif ()

if(CMAKE_C_COMPILER MATCHES "icc")
  include(compiler/icc)
elseif(CMAKE_C_COMPILER MATCHES "clang")
  include(compiler/clang-compile)
elseif(CMAKE_C_COMPILER MATCHES "cc")
  include(compiler/gcc)
endif()

find_package(Threads)
find_package(DL)
